Subject: [magma] Some Questions about group timer and sour ce timer.

From: "linwen107" <[email-masked]>
Date: Thu, 15 Jun 2006 10:05:07 +0800 (CST)

Hi all,
I have some questions about IGMPv3 and PIM-SSM.
 
My question is about timers kept by multicast routers.
1.      When the group timer(RFC3376 section 6.2.2) expires, if it is necessary for the DR(Designate Router) to trigger a (S,G) Prune message to upstream router?
In RFC 3376 section 6.5  “if a router's state for a group is EXCLUDE(X,Y) and the group timer expires for that group, the router switches to filter-mode of INCLUDE with state INCLUDE(X).”
In this circumstance, group G’s group timer expires, if it is necessary for the DR of the subnet to trigger a (S,G) SPT Prune message for every (S,G) , whose S is in G’s Y source record list, to upstream router?
 
2.      When the source timer(RFC 3376 section 6.2.3) expires, if it is necessary for the DR to trigger a (S,G) Prune message to upstream router?
According to RFC 3376 section 6.2.3, “If a source timer expires with a router filter-mode for the group of INCLUDE, the router concludes that traffic from this particular source is no longer desired on the attached network, and deletes the associated source record.” 
In this circumstance, if it is necessary for the DR of the subnet to trigger a (S,G) SPT Prune message to upstream router?
 
If S’s source timer expires with a router filter-mode for the group G of EXCLUDE, the source record will be deleted from G’s X list, and added into Y list. In this circumstance, if it is necessary for the DR of the subnet to trigger a (S,G) SPT Prune message to upstream router? 
Thanks in advance.
 
Best wishes,
 
Lin Wen

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma